/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, String_$type, markType } from "./type";
import { Dictionary$2 } from "./Dictionary$2";
import { ToolActionFieldSelectorAggregationDescription } from "./ToolActionFieldSelectorAggregationDescription";
/**
 * @hidden
 */
var ToolActionFieldSelectorAggregationDescriptionMetadata = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ToolActionFieldSelectorAggregationDescriptionMetadata, _super);
    function ToolActionFieldSelectorAggregationDescriptionMetadata() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ToolActionFieldSelectorAggregationDescriptionMetadata.b = function (a) {
        if (ToolActionFieldSelectorAggregationDescriptionMetadata.a == null) {
            ToolActionFieldSelectorAggregationDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
            ToolActionFieldSelectorAggregationDescriptionMetadata.c(ToolActionFieldSelectorAggregationDescriptionMetadata.a);
        }
        if (a.k(ToolActionFieldSelectorAggregationDescriptionMetadata.a)) {
            return;
        }
        a.ac(ToolActionFieldSelectorAggregationDescriptionMetadata.a);
    };
    ToolActionFieldSelectorAggregationDescriptionMetadata.c = function (a) {
        a.item("__marshalByValue", "Boolean");
        a.item("Label", "String");
        a.item("Name", "String");
        a.item("Operand", "ExportedType:string:DataSourceSummaryOperand");
        a.item("Operand@names", "Min;Max;Sum;Average;Count;Custom");
    };
    ToolActionFieldSelectorAggregationDescriptionMetadata.d = function (a) {
        ToolActionFieldSelectorAggregationDescriptionMetadata.b(a);
        a.ae("ToolActionFieldSelectorAggregation", function () { return new ToolActionFieldSelectorAggregationDescription(); });
        a.ad("ToolActionFieldSelectorAggregation", ToolActionFieldSelectorAggregationDescriptionMetadata.a);
    };
    ToolActionFieldSelectorAggregationDescriptionMetadata.$t = markType(ToolActionFieldSelectorAggregationDescriptionMetadata, 'ToolActionFieldSelectorAggregationDescriptionMetadata');
    ToolActionFieldSelectorAggregationDescriptionMetadata.a = null;
    return ToolActionFieldSelectorAggregationDescriptionMetadata;
}(Base));
export { ToolActionFieldSelectorAggregationDescriptionMetadata };
